# Class RWTServlet

HttpServlet
org.eclipse.rap.rwt.engine.RWTServlet

public class RWTServlet extends HttpServlet
The RWT servlet. This servlet receives all requests to a RAP application.

Usually, you only have to register this servlet manually in a traditional web application, i.e. without OSGi.

In a traditional web application (without OSGi), this servlet must be registered in the application's deployment descriptor like shown below. Note that the RWT servlet has to be registered for every entrypoint of the application.

    <context-param>
      <param-name>org.eclipse.rap.applicationConfiguration</param-name>
      <param-value>com.example.HelloWorldConfiguration</param-value>
    </context-param>

    <listener>
      <listener-class>org.eclipse.rap.rwt.engine.RWTServletContextListener</listener-class>
    </listener>

    <servlet>
      <servlet-name>rwtServlet</servlet-name>
      <servlet-class>org.eclipse.rap.rwt.engine.RWTServlet</servlet-class>
    </servlet>

    <servlet-mapping>
      <servlet-name>rwtServlet</servlet-name>
      <url-pattern>/example</url-pattern>
    </servlet-mapping>

Since:
  2.0

## Constructor Summary

Constructors
Constructor
Description
`RWTServlet()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doGet(HttpServletRequest request, HttpServletResponse response)`
`void`
`doPost(HttpServletRequest request, HttpServletResponse response)`
`String`
`getServletInfo()`
`void`
`init()`

## Constructor Details

### RWTServlet

public RWTServlet()

## Method Details

### getServletInfo

public String getServletInfo()

### init

public void init() throws ServletException

Throws:
  `ServletException`

### doGet

public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException

Throws:
  `ServletException`
  `IOException`

### doPost

public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException

Throws:
  `ServletException`
  `IOException`